<Meta title="Documentation/Identifiers" />

# Avoid string type with unique identifiers

Convert a string or an int in an opaque type with a decco decoder.

### `string` identifier

```reasonml
module DeliveryId = Toolkit.Identifier.MakeString({});

/**
 somewhere
**/
[@decco]
type response = {
  deliveryId: DeliveryId.t
};

let deliveryId = DeliveryId.make("some-id");
deliveryId->DeliveryId.toString // "some-id"
```

### `int` identifier

```reasonml
module DeliveryId = Toolkit.Identifier.MakeInt({});

/**
 somewhere
**/
[@decco]
type response = {
  deliveryId: DeliveryId.t
};

let deliveryId = DeliveryId.make(12);
deliveryId->DeliveryId.toString; // "12"
deliveryId->DeliveryId.toInt; // 12
```
